# NTEventLogAppender.hh File Reference

`#include <windows.h>`
`#include <log4cpp/Portability.hh>`
`#include <log4cpp/AppenderSkeleton.hh>`

Include dependency graph for NTEventLogAppender.hh:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | log4cpp

## Classes

class | log4cpp::NTEventLogAppender
| NTEventLogAppender is an Appender that sends LoggingEvents to the Windows event log. More...

## Defines

#define | NOGDI
#define | LOG4CPP_UNDEFINE_NOGDI
#define | LOG4CPP_UNDEFINE_WIN32_LEAN_AND_MEAN

## Define Documentation

#define LOG4CPP_UNDEFINE_NOGDI

#define LOG4CPP_UNDEFINE_WIN32_LEAN_AND_MEAN

#define NOGDI